#ifndef _fronta
#define _fronta

#include "uzel.h"

using namespace std;

class Front{
      
      class Item{
            public:
            Item *next;
            Uzel *node;
            
            Item(Uzel *x=NULL, Item *y=NULL);
      };
     
      Item *Zacatek;
      
    public:
      Front();
      
      bool isIn(Uzel* x); //zjisteni uzlu ve fronte
      void push (Uzel* x); //pridani uzlu
      void flush(); //vyprazdneni fronty
      Uzel* pop (int circ); //vyjmuti uzlu
};

#endif
